-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_PatrimonioTerzi


CREATE procedure [C6StagingPeriodico].[RP_ST_PatrimonioTerzi] as  
  
begin   
  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_PatrimonioTerzi',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
  
 truncate table C6StagingPeriodico.RP_PatrimonioTerzi  
  
  
/*  20/05/2015FCianfa e LM: aggiunta della where condition e valorizzazione a NULL di campi non pił utilizzati per l'evolutiva patrimonio immobiliare.  
*/  
 insert into C6StagingPeriodico.RP_PatrimonioTerzi  
 SELECT [chiaveProdottoTerzi]  
      ,[chiaveClientePB]  
      ,[idTipoProdotto]  
      ,[nomeProdotto]  
      ,NULL  
      ,[valutaCtv]  
      ,[ctv]  
      ,NULL  
      ,[dataCtv]  
      ,[prezzoMedioCarico]  
      ,[tipoProd]  
      ,[dtFine]  
      ,[divisa]  
      ,[ultimoPrezzo]  
        
     
   FROM [CONSUNI_PERIODICO].[ConsulenzaUnica].[dbo].[PatrimonioTerzi]  
   where dtFineValidita >getdate()   
   
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_PatrimonioTerzi' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_PatrimonioTerzi'  
  )  
   
end  
  


